Package org.snpsift.lang.expression

# Class FieldConstantFloat

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.Field
org.snpsift.lang.expression.FieldConstant
org.snpsift.lang.expression.FieldConstantFloat

public class FieldConstantFloat extends FieldConstant
A 'constant' field: e.g. 'NaN', 'Inf'

Author:
  pablocingolani

## Nested Class Summary

## Nested classes/interfaces inherited from class org.snpsift.lang.expression.FieldConstant

`FieldConstant.FieldConstantNames`

## Field Summary

### Fields inherited from class org.snpsift.lang.expression.Field

`exceptionIfNotFound, name, number, returnType, TYPE_ALL, TYPE_ANY, vcfInfo, vcfInfoNumber`

### Fields inherited from class org.snpsift.lang.expression.Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`FieldConstantFloat(String name, double value)`

## Method Summary

Modifier and Type
Method
Description
`Value`
`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
Evaluate expression using VcfEntry
`Double`
`getFieldFloat(org.snpeff.vcf.VcfEntry vcfEntry)`

### Methods inherited from class org.snpsift.lang.expression.FieldConstant

`factory, isConstantField`

### Methods inherited from class org.snpsift.lang.expression.Field

`eval, fieldHeaderNotFound, fieldNotFound, getFieldString, getName, getReturnType, getSampleNum, gtFieldNotFound, indexStr, isSampleName, isSub, returnType, returnType, setExceptionIfNotFound, toString`

### Methods inherited from class org.snpsift.lang.expression.Expression

`setNegated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldConstantFloat

public FieldConstantFloat(String name, double value)

## Method Details

### eval

public Value eval(org.snpeff.vcf.VcfEntry vcfEntry)
Description copied from class: `Expression`
Evaluate expression using VcfEntry

Overrides:
  `eval` in class `Field`

### getFieldFloat

public Double getFieldFloat(org.snpeff.vcf.VcfEntry vcfEntry)